Retrieves the values behind the applicable ValueDefinition object for the given key

Retrieves the values behind the applicable ValueDefinition object for the given key

Retrieves the values behind the applicable {@link ValueDefinition} for the given key, value and the scope of the current request (System or Tenant). Based on the type of the definition it could retrieve the value from an external system or return a statically value. Value definitions marked as deleted looked up for value retrieval.

Request
URI
POST
https://{api_host}/advanced-designer-service/api/valueDefinitions/key/{key}/values
COPY
Path Parameters
string
key
Required

The key of the persisted ValueDefinition object


Request Body
literalMap of type(s) application/json
Optional
{
    "entries": [
        {
            "key": "string"
        }
    ]
}
entries
Optional

entries

Responses
200

successful operation

Operation doesn't return any data structure